extends Scene


func _on_shady_wooded_area_interacted() -> void:
	$kq4_009_shady_wooded_area.default_script(self)


func _on_meadow_interacted() -> void:
	$kq4_002_meadow.default_script(self)


func _on_fishermans_shack_interacted() -> void:
	$kq4_007_fishermans_shack.default_script(self)


func _on_green_meadow_interacted() -> void:
	$kq4_014_green_meadow.default_script(self)


func _on_cottage_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You see the back of an old shack.")
	).build(self, "_on_script_complete"))


func _on_window_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You peek through the window, but can make out no details.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You stand behind the fisherman's shack.")
	).build(self, "_on_script_complete"))
